Vulnerability DB

Detailed information and remediation guidance for known vulnerabilities.
Find out if you have vulnerabilities that put you at risk Test your code
Vulnerability Affects Type Published
  • M
Cross-site Scripting (XSS)
wagtail [2.13,2.13.2),[2.12,2.12.5),[,2.11.8) pip 18 Jun, 2021
  • M
Cross-site Request Forgery (CSRF)
fastapi [,0.65.2) pip 10 Jun, 2021
  • H
Directory Traversal
thefuck [,3.31) pip 10 Jun, 2021
  • M
Open Redirect
flask-unchained [,0.9.0) pip 10 Jun, 2021
  • H
Arbitrary Code Execution
zope [,4.6.1),[5.0, 5.2.1) pip 09 Jun, 2021
  • M
Command Injection
ansible [0,] pip 08 Jun, 2021
  • M
Cross-site Scripting (XSS)
indico [,2.3.5) pip 08 Jun, 2021
  • M
Insecure Permissions
django-sql-dashboard [,0.14) pip 08 Jun, 2021
  • H
Remote Code Execution (RCE)
emrt.necd.content [0, 2.0.15) pip 07 Jun, 2021
  • M
Cross-site Scripting (XSS)
apache-airflow [,1.10.15),[2.0.0b1, 2.0.2) pip 07 Jun, 2021
  • M
Cross-site Scripting (XSS)
datasette [0, 0.56.1),[0.57a0, 0.57) pip 06 Jun, 2021
  • L
Cryptographic Issues
pyhanko [,0.3.0) pip 04 Jun, 2021
  • M
Cryptographic Issues
pulpcore [,3.11.0) pip 04 Jun, 2021
  • M
Information Exposure
swift [,2.15.2) pip 03 Jun, 2021
  • M
Regular Expression Denial of Service (ReDoS)
urlib3 [,1.26.5) pip 02 Jun, 2021
  • H
Directory Traversal
django [3.2,3.2.4),[3.1,3.1.12),[,2.2.24) pip 02 Jun, 2021
  • M
Improper Input Validation
django [2.2, 2.2.24),[3.1,3.1.12),[3.2,3.2.4) pip 02 Jun, 2021
  • M
Improper Verification of Cryptographic Signature
aws-encryption-sdk-cli [2.0.0, 2.2.0),[,1.9.0) pip 02 Jun, 2021
  • M
Improper Verification of Cryptographic Signature
aws-encryption-sdk [2.0.0, 2.2.0),[,1.9.0) pip 02 Jun, 2021
  • M
Denial of Service (DoS)
neutron [0,15.3.3),[16.0.0,16.3.1),[17.0.0,17.1.1) pip 30 May, 2021
  • M
Information Exposure
ansible [,2.9.6) pip 28 May, 2021
  • M
Access Restriction Bypass
flask-appbuilder [,3.3.0) pip 28 May, 2021
  • H
Timing Attack
websockets [8.0, 9.1) pip 28 May, 2021
  • M
Information Exposure
hyperkitty [0,] pip 27 May, 2021
  • H
Denial of Service (DoS)
tensorflow-gpu [, 2.1.4),[2.2.0, 2.2.3),[2.3.0, 2.3.3),[2.4.0, 2.4.2) pip 26 May, 2021
  • H
Denial of Service (DoS)
tensorflow-cpu [, 2.1.4),[2.2.0, 2.2.3),[2.3.0, 2.3.3),[2.4.0, 2.4.2) pip 26 May, 2021
  • H
Denial of Service (DoS)
tensorflow [, 2.1.4),[2.2.0, 2.2.3),[2.3.0, 2.3.3),[2.4.0, 2.4.2) pip 26 May, 2021
  • H
Improper Validation
tensorflow-gpu [, 2.1.4),[2.2.0, 2.2.3),[2.3.0, 2.3.3),[2.4.0, 2.4.2) pip 26 May, 2021
  • H
Improper Validation
tensorflow-cpu [, 2.1.4),[2.2.0, 2.2.3),[2.3.0, 2.3.3),[2.4.0, 2.4.2) pip 26 May, 2021
  • H
Improper Validation
tensorflow [, 2.1.4),[2.2.0, 2.2.3),[2.3.0, 2.3.3),[2.4.0, 2.4.2) pip 26 May, 2021